# OpalSubscribeToPresenceCommand Class Reference

`#include <pres_ent.h>`

Inheritance diagram for OpalSubscribeToPresenceCommand:

[legend]
Collaboration diagram for OpalSubscribeToPresenceCommand:
[legend]

## Public Member Functions

| OpalSubscribeToPresenceCommand (bool subscribe=true)

## Data Fields

bool | m_subscribe
| Flag to indicate subscribing/unsubscribing.
PString | m_note
| Optional extra note attached to subscription request.

## Detailed Description

Command for subscribing to the status of another presentity.

## Constructor & Destructor Documentation

OpalSubscribeToPresenceCommand::OpalSubscribeToPresenceCommand | ( | bool | subscribe = `true` | ) | `[inline]`

## Field Documentation

PString OpalSubscribeToPresenceCommand::m_note

Optional extra note attached to subscription request.

bool OpalSubscribeToPresenceCommand::m_subscribe

Flag to indicate subscribing/unsubscribing.

The documentation for this class was generated from the following file:

- pres_ent.h